## cc1541 3.2

=== Makefile ===
CC1541_CFLAGS = -std=c99 -pipe -O2 -Wall -Wextra -pedantic

ALL_TARGETS = cc1541

ifneq ($(ENABLE_MAN),)
ALL_TARGETS += man
endif

ifneq ($(ENABLE_WERROR),)
CC1541_CFLAGS += -Werror
endif

override CFLAGS := $(CC1541_CFLAGS) $(CFLAGS)

prefix ?= /usr/local
bindir ?= $(prefix)/bin
mandir ?= $(prefix)/share/man

INSTALL ?= install

VERSION := $(shell grep 'define VERSION' cc1541.c | cut -d\" -f2)

CC1541_SRC := Makefile $(wildcard *.c *.h *.in *.sln *.vcxproj* LICENSE* README*)

all: $(ALL_TARGETS)

cc1541: cc1541.c

cc1541.1.txt: cc1541.1.txt.in
	sed -e "s/@@VERSION@@/$(VERSION)/g" < cc1541.1.txt.in > cc1541.1.txt

cc1541.1: cc1541.1.txt
	a2x -d manpage -f manpage cc1541.1.txt

man: cc1541.1

test_cc1541: test_cc1541.c

check: cc1541 test_cc1541
	./test_cc1541 ./cc1541

test: check

install: all
	$(INSTALL) -Dpm 0755 ./cc1541 $(DESTDIR)$(bindir)/cc1541
ifneq ($(ENABLE_MAN),)
	$(INSTALL) -Dpm 0644 ./cc1541.1 $(DESTDIR)$(mandir)/man1/cc1541.1
endif

cc1541-$(VERSION).tar: $(CC1541_SRC)
	rm -rf cc1541-$(VERSION)/ *~ README.md.T
	mkdir -p cc1541-$(VERSION)
	cp -a $(CC1541_SRC) cc1541-$(VERSION)/
	chmod 0644 cc1541-$(VERSION)/*
	tar cf cc1541-$(VERSION).tar cc1541-$(VERSION)/
	rm -rf cc1541-$(VERSION)/

cc1541-$(VERSION).tar.bz2: cc1541-$(VERSION).tar
	bzip2 -9cz < cc1541-$(VERSION).tar > cc1541-$(VERSION).tar.bz2

cc1541-$(VERSION).tar.gz: cc1541-$(VERSION).tar
	gzip -9c < cc1541-$(VERSION).tar > cc1541-$(VERSION).tar.gz

cc1541-$(VERSION).tar.xz: cc1541-$(VERSION).tar
	xz -ce < cc1541-$(VERSION).tar > cc1541-$(VERSION).tar.xz

cc1541-$(VERSION).zip: $(CC1541_SRC)
	rm -rf cc1541-$(VERSION)/ *~ README.md.T
	mkdir -p cc1541-$(VERSION)
	cp -a $(CC1541_SRC) cc1541-$(VERSION)/
	chmod 0644 cc1541-$(VERSION)/*
	zip -9r cc1541-$(VERSION).zip cc1541-$(VERSION)/
	rm -rf cc1541-$(VERSION)/

dist-bz2: cc1541-$(VERSION).tar.bz2
dist-gz:  cc1541-$(VERSION).tar.gz
dist-xz:  cc1541-$(VERSION).tar.xz
dist-zip: cc1541-$(VERSION).zip
dist-all: dist-bz2 dist-gz dist-xz dist-zip

dist: dist-gz dist-zip

dist-check: dist
	tar xf cc1541-$(VERSION).tar.gz
	$(MAKE) -C cc1541-$(VERSION)/ all check
	rm -rf cc1541-$(VERSION)/

codestyle: cc1541.c test_cc1541.c
	astyle --style=kr -n -s -z2 cc1541.c test_cc1541.c

wrap: cc1541.1.txt.in LICENSE.txt README.md
	for f in $^; do \
	  fold -s -w 70 < $$f | perl -pe 's/[\t\040]+$$//' > $$f.T; \
	  mv -f $$f.T $$f; \
	done

clean:
	rm -rf cc1541-$(VERSION)/ *~ README.md.T *.o *.orig cc1541 test_cc1541 cc1541-$(VERSION).* cc1541.1 cc1541.1.txt

.PHONY: all check clean codestyle dist dist-all dist-bz2 dist-check dist-gz dist-xz dist-zip install man test wrap

.NOTPARALLEL: cc1541-$(VERSION).tar cc1541-$(VERSION).zip

=== debian/changelog ===
cc1541 (3.2-1) unstable; urgency=medium

  * Initial release (closes: #981792).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 03 Feb 2021 20:31:41 +0100

=== debian/control ===
Source: cc1541
Section: otherosfs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), asciidoc-base, docbook-xml, docbook-xsl
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://bitbucket.org/PTV_Claus/cc1541/

Package: cc1541
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool for creating Commodore Floppy disk images in D64, G64, D71 or D81 format
 Tool for creating Commodore Floppy disk images in D64, D71 or D81 format
 with custom sector interleaving etc. Also supports extended tracks 35-40
 using either SPEED DOS or DOLPHIN DOS BAM-formatting.

=== debian/watch ===
version=4
https://bitbucket.org/PTV_Claus/cc1541/downloads/?tab=tags .*/get/v?(\d\S+)@ARCHIVE_EXT@

## cc1541 3.3

=== debian/changelog ===
cc1541 (3.3-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 07 Oct 2021 17:31:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), asciidoc-base, docbook-xml, docbook-xsl
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://bitbucket.org/PTV_Claus/cc1541/

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$// \
https://bitbucket.org/PTV_Claus/cc1541/downloads/?tab=tags \
.*/v?(\d\S*)@ARCHIVE_EXT@

## cc1541 3.4

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 VERSION := $(shell grep 'define VERSION' cc1541.c | cut -d\" -f2)
 
-CC1541_SRC := Makefile $(wildcard *.c *.h *.in *.sln *.vcxproj* LICENSE* README*)
+CC1541_SRC := Makefile transwarp\ v0.84.prg transwarp\ v0.86.prg $(wildcard *.c *.h *.in *.sln *.vcxproj* LICENSE* README*)
 
 all: $(ALL_TARGETS)

=== debian/changelog ===
cc1541 (3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 28 Feb 2022 22:13:53 +0100

## cc1541 4.0

=== debian/changelog ===
cc1541 (4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Aug 2022 11:06:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), asciidoc-base, docbook-xml, docbook-xsl
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://bitbucket.org/PTV_Claus/cc1541/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk

# set install directory
export prefix=/usr
# enable manpage creation
export ENABLE_MAN=1

%:
	dh $@

## cc1541 4.1

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,9 @@
 
 all: $(ALL_TARGETS)
 
-cc1541: cc1541.c
+cc1541.o: cc1541.c
+
+cc1541: cc1541.o
 
 cc1541.1.txt: cc1541.1.txt.in
 	sed -e "s/@@VERSION@@/$(VERSION)/g" < cc1541.1.txt.in > cc1541.1.txt
@@ -34,7 +36,9 @@
 
 man: cc1541.1
 
-test_cc1541: test_cc1541.c
+test_cc1541.o: test_cc1541.c
+
+test_cc1541: test_cc1541.o
 
 check: cc1541 test_cc1541
 	./test_cc1541 ./cc1541
@@ -49,11 +53,12 @@
 
 cc1541-$(VERSION).tar: $(CC1541_SRC)
 	rm -rf cc1541-$(VERSION)/ *~ README.md.T
-	mkdir -p cc1541-$(VERSION)
-	cp -a $(CC1541_SRC) cc1541-$(VERSION)/
-	chmod 0644 cc1541-$(VERSION)/*
-	tar cf cc1541-$(VERSION).tar cc1541-$(VERSION)/
-	rm -rf cc1541-$(VERSION)/
+	$(eval $@_TMP := $(shell mktemp -d))
+	mkdir -p $($@_TMP)/cc1541-$(VERSION)
+	cp -a $(CC1541_SRC) $($@_TMP)/cc1541-$(VERSION)/
+	chmod 0644 $($@_TMP)/cc1541-$(VERSION)/*
+	tar cf cc1541-$(VERSION).tar -C$($@_TMP) cc1541-$(VERSION)/
+	rm -rf $($@_TMP)
 
 cc1541-$(VERSION).tar.bz2: cc1541-$(VERSION).tar
 	bzip2 -9cz < cc1541-$(VERSION).tar > cc1541-$(VERSION).tar.bz2
@@ -66,11 +71,14 @@
 
 cc1541-$(VERSION).zip: $(CC1541_SRC)
 	rm -rf cc1541-$(VERSION)/ *~ README.md.T
-	mkdir -p cc1541-$(VERSION)
-	cp -a $(CC1541_SRC) cc1541-$(VERSION)/
-	chmod 0644 cc1541-$(VERSION)/*
-	zip -9r cc1541-$(VERSION).zip cc1541-$(VERSION)/
-	rm -rf cc1541-$(VERSION)/
+	$(eval $@_SRC := $(shell pwd))
+	$(eval $@_TMP := $(shell mktemp -d))
+	mkdir -p $($@_TMP)/cc1541-$(VERSION)
+	cp -a $(CC1541_SRC) $($@_TMP)/cc1541-$(VERSION)/
+	chmod 0644 $($@_TMP)/cc1541-$(VERSION)/*
+	cd $($@_TMP) && \
+	zip -9qr $($@_SRC)/cc1541-$(VERSION).zip cc1541-$(VERSION)/
+	rm -rf $($@_TMP)
 
 dist-bz2: cc1541-$(VERSION).tar.bz2
 dist-gz:  cc1541-$(VERSION).tar.gz
@@ -81,16 +89,18 @@
 dist: dist-gz dist-zip
 
 dist-check: dist
-	tar xf cc1541-$(VERSION).tar.gz
-	$(MAKE) -C cc1541-$(VERSION)/ all check
-	rm -rf cc1541-$(VERSION)/
+	$(eval $@_TMP := $(shell mktemp -d))
+	mkdir -p $($@_TMP)
+	tar xf cc1541-$(VERSION).tar.gz -C $($@_TMP)
+	$(MAKE) -C $($@_TMP)/cc1541-$(VERSION)/ all check
+	rm -rf $($@_TMP)
 
 codestyle: cc1541.c test_cc1541.c
 	astyle --style=kr -n -s -z2 cc1541.c test_cc1541.c
 
 wrap: cc1541.1.txt.in LICENSE.txt README.md
 	for f in $^; do \
-	  fold -s -w 70 < $$f | perl -pe 's/[\t\040]+$$//' > $$f.T; \
+	  fold -s -w 76 < $$f | perl -pe 's/[\t\040]+$$//' > $$f.T; \
 	  mv -f $$f.T $$f; \
 	done
 
@@ -99,4 +109,4 @@
 
 .PHONY: all check clean codestyle dist dist-all dist-bz2 dist-check dist-gz dist-xz dist-zip install man test wrap
 
-.NOTPARALLEL: cc1541-$(VERSION).tar cc1541-$(VERSION).zip
+.EXPORT_ALL_VARIABLES:

=== debian/changelog ===
cc1541 (4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Aug 2023 07:14:22 +0200

## cc1541 4.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CC1541_CFLAGS = -std=c99 -pipe -O2 -Wall -Wextra -pedantic
+CC1541_CFLAGS = -std=c99 -pipe -O2 -Wall -Wextra -pedantic -Wno-error=date-time
 
 ALL_TARGETS = cc1541
 
@@ -44,6 +44,12 @@
 	./test_cc1541 ./cc1541
 
 test: check
+
+cc1541_asan: cc1541.c
+	$(CC) -g -fsanitize=address -fsanitize=undefined -o $@ $<
+
+asantest: cc1541_asan test_cc1541
+	./test_cc1541 ./cc1541_asan
 
 install: all
 	$(INSTALL) -Dpm 0755 ./cc1541 $(DESTDIR)$(bindir)/cc1541
@@ -105,7 +111,7 @@
 	done
 
 clean:
-	rm -rf cc1541-$(VERSION)/ *~ README.md.T *.o *.orig cc1541 test_cc1541 cc1541-$(VERSION).* cc1541.1 cc1541.1.txt
+	rm -rf cc1541-$(VERSION)/ *~ README.md.T *.o *.orig cc1541 cc1541_asan test_cc1541 cc1541-$(VERSION).* cc1541.1 cc1541.1.txt
 
 .PHONY: all check clean codestyle dist dist-all dist-bz2 dist-check dist-gz dist-xz dist-zip install man test wrap

=== debian/changelog ===
cc1541 (4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Mar 2024 09:17:22 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), asciidoc-base, docbook-xml, docbook-xsl
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://bitbucket.org/PTV_Claus/cc1541/

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$// \
https://bitbucket.org/ptv_claus/cc1541/downloads/ \
.*/cc1541[-_]?v?(\d\S*)@ARCHIVE_EXT@
